{
  description = "Neovim configuration";

  outputs = { self, nixpkgs }:
    let
      withPkgs = system: import nixpkgs {
        inherit system;
      };
    in
    {
      packages.x86_64-linux.default = (withPkgs "x86_64-linux").callPackage ./neovim.nix {};
      packages.x86_64-linux.playground = (withPkgs "x86_64-linux").callPackage ./neovim.nix { withPlayground = true; };
    };
}
